com.aventstack.extentreports

## Class ReportStatusStats

- java.lang.Object
- - com.aventstack.extentreports.ReportStatusStats

-     public class ReportStatusStats
      extends Object

  This class maintains the total count of tests and its nodes along with their statuses for a given run session

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `ReportStatusStats(AnalysisStrategy strategy)`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `int` | `getChildCount()`
    `int` | `getChildCountDebug()`
    `int` | `getChildCountError()`
    `int` | `getChildCountExceptions()`
    `int` | `getChildCountFail()`
    `int` | `getChildCountFatal()`
    `int` | `getChildCountInfo()`
    `int` | `getChildCountPass()`
    `int` | `getChildCountSkip()`
    `int` | `getChildCountWarning()`
    `float` | `getChildPercentageFail()`
    `float` | `getChildPercentageOthers()`
    `float` | `getChildPercentagePass()`
    `float` | `getChildPercentageSkip()`
    `int` | `getGrandChildCount()`
    `int` | `getGrandChildCountDebug()`
    `int` | `getGrandChildCountError()`
    `int` | `getGrandChildCountExceptions()`
    `int` | `getGrandChildCountFail()`
    `int` | `getGrandChildCountFatal()`
    `int` | `getGrandChildCountInfo()`
    `int` | `getGrandChildCountPass()`
    `int` | `getGrandChildCountSkip()`
    `int` | `getGrandChildCountWarning()`
    `float` | `getGrandChildPercentageFail()`
    `float` | `getGrandChildPercentageOthers()`
    `float` | `getGrandChildPercentagePass()`
    `float` | `getGrandChildPercentageSkip()`
    `int` | `getParentCount()`
    `int` | `getParentCountError()`
    `int` | `getParentCountExceptions()`
    `int` | `getParentCountFail()`
    `int` | `getParentCountFatal()`
    `int` | `getParentCountPass()`
    `int` | `getParentCountSkip()`
    `int` | `getParentCountWarning()`
    `float` | `getParentPercentageFail()`
    `float` | `getParentPercentageOthers()`
    `float` | `getParentPercentagePass()`
    `float` | `getParentPercentageSkip()`
    `void` | `refresh(List<Test> testList)`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### ReportStatusStats

          public ReportStatusStats(AnalysisStrategy strategy)

  - ### Method Detail

    - #### refresh

          public void refresh(List<Test> testList)

    - #### getParentCount

          public int getParentCount()

    - #### getParentCountPass

          public int getParentCountPass()

    - #### getParentCountFail

          public int getParentCountFail()

    - #### getParentCountFatal

          public int getParentCountFatal()

    - #### getParentCountError

          public int getParentCountError()

    - #### getParentCountWarning

          public int getParentCountWarning()

    - #### getParentCountSkip

          public int getParentCountSkip()

    - #### getParentCountExceptions

          public int getParentCountExceptions()

    - #### getParentPercentagePass

          public float getParentPercentagePass()

    - #### getParentPercentageFail

          public float getParentPercentageFail()

    - #### getParentPercentageOthers

          public float getParentPercentageOthers()

    - #### getParentPercentageSkip

          public float getParentPercentageSkip()

    - #### getChildCount

          public int getChildCount()

    - #### getChildCountPass

          public int getChildCountPass()

    - #### getChildCountFail

          public int getChildCountFail()

    - #### getChildCountFatal

          public int getChildCountFatal()

    - #### getChildCountError

          public int getChildCountError()

    - #### getChildCountWarning

          public int getChildCountWarning()

    - #### getChildCountSkip

          public int getChildCountSkip()

    - #### getChildCountInfo

          public int getChildCountInfo()

    - #### getChildCountDebug

          public int getChildCountDebug()

    - #### getChildCountExceptions

          public int getChildCountExceptions()

    - #### getChildPercentagePass

          public float getChildPercentagePass()

    - #### getChildPercentageFail

          public float getChildPercentageFail()

    - #### getChildPercentageOthers

          public float getChildPercentageOthers()

    - #### getChildPercentageSkip

          public float getChildPercentageSkip()

    - #### getGrandChildCount

          public int getGrandChildCount()

    - #### getGrandChildCountPass

          public int getGrandChildCountPass()

    - #### getGrandChildCountFail

          public int getGrandChildCountFail()

    - #### getGrandChildCountFatal

          public int getGrandChildCountFatal()

    - #### getGrandChildCountError

          public int getGrandChildCountError()

    - #### getGrandChildCountWarning

          public int getGrandChildCountWarning()

    - #### getGrandChildCountSkip

          public int getGrandChildCountSkip()

    - #### getGrandChildCountInfo

          public int getGrandChildCountInfo()

    - #### getGrandChildCountDebug

          public int getGrandChildCountDebug()

    - #### getGrandChildCountExceptions

          public int getGrandChildCountExceptions()

    - #### getGrandChildPercentagePass

          public float getGrandChildPercentagePass()

    - #### getGrandChildPercentageFail

          public float getGrandChildPercentageFail()

    - #### getGrandChildPercentageOthers

          public float getGrandChildPercentageOthers()

    - #### getGrandChildPercentageSkip

          public float getGrandChildPercentageSkip()

Copyright © 2018. All rights reserved.